Returns a list of units by a specific commodity
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| commodityId | The specific commodity ID | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| classCode | (Optional) A grouping of classes for the units. Valid values are ‘use’, ‘cost’, ‘demand’. | string | Optional |
| nounCode | (Optional) A specific class for units | string | Optional |
| unitTypeCode | (Optional) A specific unity type | string | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
UnitChild
| Property | Description | Type |
|---|---|---|
| unitCode | The unit code | string |
| unitId | The unit identifier | integer (int32) |
| unitInfo | The unit info | string |
Example Response
[
{ "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
]